<?php

namespace Planaday\Entities\Booking\Form\Company\ContactPerson;

use Planaday\Config\OptionGroupEnum;
use Planaday\Entities\Booking\Form\Company\CompanySettingsEnum;

enum ContactPersonSettingsEnum: string implements OptionGroupEnum {
	case AskContactPerson = "AskContactPerson";

	case AskAddress = "askAddress";
	case AddressRequired = "addressRequired";

	case AskPhoneNumber = "askPhoneNumber";
	case PhoneNumberRequired = "phoneNumberRequired";

	public static function getClassName(): string {
		return ContactPersonSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return CompanySettingsEnum::ContactPerson;
	}
}
